%% This code detects the threshold for each variable in query

clear all;
clc;
%% First specify locations and some variables
%specify MTS database
mtsdatabase = '../../../Dataset/Conex/CLE_v4_0';
%specify UTS directory under this MTS database location
UTS_D = [mtsdatabase '/' 'UTS_D'];
feature_dim = [6 7 8 23 27 28 29 30 38];   % for CONEX

flist=dir(mtsdatabase);
Num_MTS = length(flist);
% if there are ay directory ignore it
for i=1:length(flist)
    if flist(i).isdir
        Num_MTS = Num_MTS - 1;
    end
end
num_query = 10;
numPairLengths = 10000;
slidingwindow = 256;

% get the lengths of each MTS
%lengths = GetLengths(mtsdatabase,Num_MTS);
lengths = load('lengths_3573.txt');

for i=1:size(feature_dim,2)
    fprintf('Started processing feature %d\n',feature_dim(i));
    PairDist_RandomPick(UTS_D, feature_dim(i), Num_MTS, numPairLengths, slidingwindow,lengths); 
    fprintf('Finished processing feature %d\n',feature_dim(i));
end
