function intersec_ind = Binary_Search(th_l, th_h, high_ind, min_max)
% min_max records min and max distance for all index files
% this function return one file(number of the file) whose range intersects with [th_l, th_h]

low_ind = 1;
while low_ind <= high_ind
    mid = floor((low_ind+high_ind)/2);
    if th_l <= min_max(mid,2) && th_h >= min_max(mid,1) %find one intersection
        intersec_ind = mid; return
    end
    if th_l > min_max(mid,2) %check the second half
        low_ind = mid + 1;
    else
        high_ind = mid - 1; %check the first half
    end
end

intersec_ind = 0; return %if not found